{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[1])/$(inputs.tree[0])/$(inputs.tree[1])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#cp_file.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/tree"
                }
            ],
            "id": "#cp_file.cwl",
            "outputs": []
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/PATH"
                },
                {
                    "type": "File",
                    "id": "#main/in_check"
                },
                {
                    "type": "File",
                    "id": "#main/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#main/in_extract"
                },
                {
                    "type": "File",
                    "id": "#main/in_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                }
            ],
            "steps": [
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_check/PATH"
                        },
                        {
                            "source": "#main/in_check",
                            "id": "#main/cp_check/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_check/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_check"
                },
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_extract/PATH"
                        },
                        {
                            "source": "#main/in_extract",
                            "id": "#main/cp_extract/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_extract/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_extract"
                },
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_md5checksums/PATH"
                        },
                        {
                            "source": "#main/in_md5checksums",
                            "id": "#main/cp_md5checksums/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_md5checksums/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_md5checksums"
                }
            ],
            "outputs": [],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
